Create device
Creates a device for the company supplied in the request body and seeds its success message from the current company setting.
POST
/v1/hq/devicesAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Request Body
application/json
company_id*string
name*string
type*string
Value in
"checkin"Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/devices" \ -H "Content-Type: application/json" \ -d '{ "company_id": "string", "name": "string", "type": "checkin" }'{
"id": "string",
"company": "string",
"name": "string",
"type": "checkin",
"status": "unpaired",
"configuration": {
"terminal": "string",
"success_message": "string"
},
"pairing": {
"expires_at": "2019-08-24T14:15:22Z",
"consumed_at": "2019-08-24T14:15:22Z",
"attempts_remaining": 0
},
"masked_token": "string",
"last_active": "2019-08-24T14:15:22Z",
"revoked_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}Empty
Empty
Empty
Empty
Empty